/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the possible theme colors of the buttons([see examples]({% slug appearance_button %}#toc-theme-colors)).
 *
 * The possible values are:
 * * `base` &mdash;Applies coloring based on the `base` theme color.
 * * `primary` &mdash;Applies coloring based on the `primary` theme color.
 * * `secondary`&mdash;Applies coloring based on the `secondary` theme color.
 * * `tertiary`&mdash; Applies coloring based on the `tertiary` theme color.
 * * `info`&mdash;Applies coloring based on the `info` theme color.
 * * `success`&mdash; Applies coloring based on the `success` theme color.
 * * `warning`&mdash; Applies coloring based on the `warning` theme color.
 * * `error`&mdash; Applies coloring based on the `error` theme color.
 * * `dark`&mdash; Applies coloring based on the `dark` theme color.
 * * `light`&mdash; Applies coloring based on the `light` theme color.
 * * `inverse`&mdash; Applies coloring based on the `inverse` theme color.
 *
 */
export type ButtonThemeColor = 'base' | 'primary' | 'secondary' | 'tertiary' | 'info' | 'success' | 'warning' | 'error' | 'dark' | 'light' | 'inverse' | 'none';
/**
 * Specifies the possible theme colors of the Chip.
 *
 * The possible values are:
 * * `base` &mdash;Applies coloring based on the `base` theme color.
 * * `info`&mdash;Applies coloring based on the `info` theme color.
 * * `success`&mdash; Applies coloring based on the `success` theme color.
 * * `warning`&mdash; Applies coloring based on the `warning` theme color.
 * * `error`&mdash; Applies coloring based on the `error` theme color.
 */
export type ChipThemeColor = 'base' | 'info' | 'success' | 'warning' | 'error' | 'none';
